/*******************************************************************************
 * InterpTrackAnimControl generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class InterpTrackAnimControl extends InterpTrackFloatBase
    native(Interpolation)
    collapsecategories
    hidecategories(Object);

struct native AnimControlTrackKey
{
    var float StartTime;
    var name AnimSeqName;
    var float AnimStartOffset;
    var float AnimEndOffset;
    var float AnimPlayRate;
    var bool bLooping;
    var bool bReverse;

    structdefaultproperties
    {
        StartTime=0.0
        AnimSeqName=None
        AnimStartOffset=0.0
        AnimEndOffset=0.0
        AnimPlayRate=0.0
        bLooping=false
        bReverse=false
    }
};

var array<AnimSet> AnimSets;
var() name SlotName;
var array<AnimControlTrackKey> AnimSeqs;
var() bool bEnableRootMotion;
var() bool bSkipAnimNotifiers;

defaultproperties
{
    TrackInstClass=class'InterpTrackInstAnimControl'
    TrackTitle="Anim"
    bIsAnimControlTrack=true
}